<?php
require './vendor/autoload.php';

use Aws\Exception\AwsException;
use Aws\Sqs\SqsClient;

define('QUEUE_URL', 'https://sqs.ap-northeast-1.amazonaws.com/935724956678/webphp');
// define('QUEUE_URL', 'QUEUE_URL');


try {
    $client  = new SqsClient([
        'profile' => 'webdb',
        'region'  => 'ap-northeast-1',
        'version' => 'latest',
    ]);
    $receive = [
        'AttributeNames'        => ['All'],
        'MessageAttributeNames' => ['All'],
        'MaxNumberOfMessages'   => 10,
        'QueueUrl'              => QUEUE_URL,
        'WaitTimeSeconds'       => 20,
        'VisibilityTimeout'     => 60,
    ];
    while (true) {
        $result = $client->receiveMessage($receive);
        $data   = $result->get('Messages');
        if ($data) {
            foreach ($data as $item) {
                echo $item['Body'];
                $client->deleteMessage([
                    'QueueUrl'      => QUEUE_URL,
                    'ReceiptHandle' => $item['ReceiptHandle'],
                ]);
            }
        }
    }
} catch (AwsException $e) {
    var_dump($e->getMessage());
}
