<?php
require './vendor/autoload.php';

use Aws\Exception\AwsException;
use Aws\Sqs\SqsClient;

define('QUEUE_URL', 'https://sqs.ap-northeast-1.amazonaws.com/935724956678/webphp');
// define('QUEUE_URL', 'QUEUE_URL');

try {
    $client = new SqsClient([
        'profile' => 'webdb',
        'region'  => 'ap-northeast-1',
        'version' => 'latest',
    ]);

    $params = [
        'DelaySeconds'      => 0,
        'MessageAttributes' => [
            'Title' => [
                'DataType'    => 'String',
                'StringValue' => 'SQS title',
            ],
        ],
        'MessageBody'       => 'SQS message',
        'QueueUrl'          => QUEUE_URL,
    ];

    $result = $client->sendMessage($params);
    var_dump($result);
} catch (AwsException $e) {
    var_dump($e->getMessage());
}